0 Replies Latest reply on Nov 15, 2009 6:20 AM by FalconRime

    Flex Eclipse Plugin (Plug-in) Installation (Install) Error Message "!MESSAGE Invalid command:-from"

    FalconRime

      I have downloaded and installed the latest Windows Eclipse for Java EE package. It runs fine.

       

      I next downloaded and installed the latest Flex Builder v3 Plug-in for Eclipse. (Needed the plug-in version because I am following the instructions at http://www.adobe.com/devnet/livecycle/articles/blazeds_gettingstarted_02.html which explicitly says the all-in-one Eclipse+Flex download is not good enough for BlazeDS work.

       

      So anyway during plugin installation I get the problem that the Eclipse root folder I choose is not recognised by the install program. I choose to proceed with caution and the log file generated is as follows:

       

       

      !SESSION 2009-11-15 14:05:11.118 -----------------------------------------------

      eclipse.buildId=M20090917-0800

      java.version=1.5.0_11

      java.vendor=Sun Microsystems Inc.

      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_GB

      Framework arguments:  -application org.eclipse.update.core.standaloneUpdate -command -from file:\C:\Program Files\Adobe\Flex Builder 3 Plug-in\com.adobe.flexbuilder.update.site/ -featureId com.adobe.flexbuilder.feature.core -version 3.0.214193 -to C:\Program Files\Adobe\Flex Builder 3 Plug-in

      Command-line arguments:  -application org.eclipse.update.core.standaloneUpdate -command -from file:\C:\Program Files\Adobe\Flex Builder 3 Plug-in\com.adobe.flexbuilder.update.site/ -featureId com.adobe.flexbuilder.feature.core -version 3.0.214193 -to C:\Program Files\Adobe\Flex Builder 3 Plug-in


      !ENTRY org.eclipse.update.core 4 0 2009-11-15 14:05:15.055

      !MESSAGE Invalid command:-from

      That last line doesn't look good and was wondering if this is an error in the installation? Obviously when I go into Eclipse after this I can't see the Flex Builder as an option.
      To solve this I did what I read in another post, that is copy all the files from the C:\Program Files\Adobe\Flex Builder 3 Plug-in\eclipse\plugins folder by hand into my Eclipse directory: C:\Users\Martin\Documents\eclipse\plugins